{
    onAfterMoveSecondarySelf(source, target, move) {
        if (move.flags['contact']) {
            if (target.hasAbility('stickyhold')) {
                this.add('-activate', target, 'ability: Sticky Hold');
                return;
            }
            if (source.item && target.item) {
                if (source.hp) {
                    const item = target.takeItem();
                    if (item) {
                        this.add('-enditem', target, item.name, '[from] ability: Magician', '[of] ' + source);
                    }
                }
            }
            else if (!source.item && target.item) {
                const yourItem = target.takeItem(source);
                if (!yourItem) {
                    return;
                }
                if (
                    !this.singleEvent('TakeItem', yourItem, target.itemState, source, target, move, yourItem) ||
                    !source.setItem(yourItem)
                ) {
                    target.item = yourItem.id;
                    return;
                }
                this.add('-item', source, yourItem, '[from] ability: Magician', '[of] ' + target);
            }
        }
    },
    flags: {},
    name: "Pickpocket",
    rating: 1,
    num: 124,
}
